ON_UncompressStream Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_compress.h>`

## Public Member Functions

| ON_UncompressStream ()
virtual | ~ON_UncompressStream ()
bool | SetCallback (ON_StreamCallbackFunction callback_function, void *callback_context)
ON_StreamCallbackFunction | CallbackFunction () const
void * | CallbackContext () const
bool | Begin ()
bool | In (ON__UINT64 in_buffer_size, const void *in_buffer)
virtual bool | Out (void *callback_context, ON__UINT32 out_buffer_size, const void *out_buffer)
bool | End ()
ON__UINT64 | InSize () const
ON__UINT64 | OutSize () const
ON__UINT32 | InCRC () const
ON__UINT32 | OutCRC () const

## Detailed Description

Definition at line 199 of file opennurbs_compress.h.

## Constructor & Destructor Documentation

ON_UncompressStream::ON_UncompressStream | ( |  | ) |

virtual ON_UncompressStream::~ON_UncompressStream | ( |  | ) |

virtual

## Member Function Documentation

bool ON_UncompressStream::Begin | ( |  | ) |

void* ON_UncompressStream::CallbackContext | ( |  | ) | const

ON_StreamCallbackFunction ON_UncompressStream::CallbackFunction | ( |  | ) | const

bool ON_UncompressStream::End | ( |  | ) |

bool ON_UncompressStream::In | ( | ON__UINT64 | in_buffer_size,
|  | const void * | in_buffer
| ) |  |

ON__UINT32 ON_UncompressStream::InCRC | ( |  | ) | const

ON__UINT64 ON_UncompressStream::InSize | ( |  | ) | const

virtual bool ON_UncompressStream::Out | ( | void * | callback_context,
|  | ON__UINT32 | out_buffer_size,
|  | const void * | out_buffer
| ) |  |

virtual

ON__UINT32 ON_UncompressStream::OutCRC | ( |  | ) | const

ON__UINT64 ON_UncompressStream::OutSize | ( |  | ) | const

bool ON_UncompressStream::SetCallback | ( | ON_StreamCallbackFunction | callback_function,
|  | void * | callback_context
| ) |  |

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_compress.h